=== debian/changelog ===
akonadi-calendar (4:24.12.3-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * CI: simplify/update configuration.
  * Remove 2 obsolete maintscript entries in 1 files.
  * Re-export upstream signing key without extra signatures, and merge into a
    single keyring.
  * Stop shipping /usr/share/knotifications6/notification_gui.notifyrc, as
    it comes from a test application. (Closes: #1091352)

 -- Pino Toscano <pino@debian.org>  Tue, 14 Oct 2025 14:56:12 +0200

akonadi-calendar (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:50:39 +0100
