=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicontact-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicontact-dev (>= 4:24.12.3~),
                libakonadimime-dev,
-               libkcalendarutils-dev (>= 4:24.12.2~),
+               libkcalendarutils-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -21,19 +21,18 @@
                libkf6notifications-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.2~),
-               libkleo-dev (>= 4:24.12.2~),
-               libkmailtransport-dev (>= 24.12.2~),
-               libkmime-dev (>= 24.12.2~),
-               messagelib-dev (>= 4:24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.3~),
+               libkleo-dev (>= 4:24.12.3~),
+               libkmailtransport-dev (>= 24.12.3~),
+               libkmime-dev (>= 24.12.3~),
+               messagelib-dev (>= 4:24.12.3~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/akonadi-calendar
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git
-Rules-Requires-Root: no
 
 Package: kalendarac
 Architecture: amd64 arm64 armhf i386
@@ -62,11 +61,11 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.2~),
+Depends: libakonadi-dev (>= 4:24.12.3~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6i18n-dev (>= 6.6.0~),
          libkf6widgetsaddons-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 24.12.2~),
+         libkidentitymanagement-dev (>= 24.12.3~),
          libkpim6akonadicalendar6 (= ${binary:Version}),
          ${misc:Depends},
 Description: akonadi-calendar - development files
