=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: akonadi-calendar
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.3~),
-               libakonadicontact-dev (>= 4:24.12.3~),
-               libakonadimime-dev,
-               libkcalendarutils-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.07.80~),
+               libakonadicontact-dev (>= 4:25.07.80~),
+               libakonadimime-dev (>= 4:25.07.80~),
+               libkcalendarutils-dev (>= 4:25.07.80~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -21,18 +22,19 @@
                libkf6notifications-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.3~),
-               libkleo-dev (>= 4:24.12.3~),
-               libkmailtransport-dev (>= 24.12.3~),
-               libkmime-dev (>= 24.12.3~),
-               messagelib-dev (>= 4:24.12.3~),
+               libkidentitymanagement-dev (>= 25.07.80~),
+               libkleo-dev (>= 4:25.07.80~),
+               libkmailtransport-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.80~),
+               messagelib-dev (>= 4:25.07.80~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akonadi-calendar
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
+Rules-Requires-Root: no
 
 Package: kalendarac
 Architecture: amd64 arm64 armhf i386
@@ -61,12 +63,13 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.3~),
+Depends: libakonadi-dev (>= 4:25.07.80~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6i18n-dev (>= 6.6.0~),
          libkf6widgetsaddons-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 24.12.3~),
+         libkidentitymanagement-dev (>= 25.07.80~),
          libkpim6akonadicalendar6 (= ${binary:Version}),
+         libkpim6akonadicalendarcore6 (= ${binary:Version}),
          ${misc:Depends},
 Description: akonadi-calendar - development files
  This library offers helper functions to integrate the use of Akonadi calendar
@@ -84,3 +87,14 @@
 Description: library providing calendar helpers for Akonadi items
  This library offers helper functions to integrate the use of Akonadi calendar
  items in applications.
+
+Package: libkpim6akonadicalendarcore6
+Provides: ${ABI:VirtualPackage},
+Architecture: amd64 arm64 armhf i386
+Multi-Arch: same
+Depends: libakonadicalendar-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: library providing calendar helpers for Akonadi items
+ This library offers helper functions to integrate the use of Akonadi calendar
+ items in applications.
