=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,5 @@
 	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)
 
 override_dh_auto_test:
-	- xvfb-run --\
-	           dh_auto_test
-
-execute_after_dh_auto_install:
-	# test application, not sure why it is even installed
-	rm -fv debian/tmp/usr/share/knotifications6/notification_gui.notifyrc
+	# Disable unittest at build time
+	:
